de.esprit.netsuite.server.cfg

## Interface ServerConfigKey

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    ServerConfigKeyAdapter, ServerParamsConfigKey, ServerStartupConfigKey

      public interface ServerConfigKey
      extends java.io.Serializable

  This interface must be implemented by all server configuration keys
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PREFIX_CPU`
    `static java.lang.String` | `PREFIX_EMAIL_ACCOUNT`
    `static java.lang.String` | `PREFIX_EMAIL_CONFIG`
    `static java.lang.String` | `PREFIX_EMAIL_TARGET`
    `static java.lang.String` | `PREFIX_ESPRIT`
    `static java.lang.String` | `PREFIX_LOG`
    `static java.lang.String` | `PREFIX_SERVER`
    `static java.lang.String` | `PREFIX_WEBSERVER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Returns the raw key without a prefix path like 'uniqueServerName'.
    `java.lang.String` | `getMatchKey()` Returns the replacement match key which is the original key surrounded by at signs like '@uniqueServerName@'
    `java.lang.String` | `getMatchKey(int sequenceNum)` Returns the match-key with the given number added like i.e.
    `java.lang.String` | `getName()` Returns the full key name i.e.

- - ### Field Detail

    - #### PREFIX_ESPRIT

          static final java.lang.String PREFIX_ESPRIT

      See Also:
        Constant Field Values

    - #### PREFIX_SERVER

          static final java.lang.String PREFIX_SERVER

      See Also:
        Constant Field Values

    - #### PREFIX_WEBSERVER

          static final java.lang.String PREFIX_WEBSERVER

      See Also:
        Constant Field Values

    - #### PREFIX_LOG

          static final java.lang.String PREFIX_LOG

      See Also:
        Constant Field Values

    - #### PREFIX_EMAIL_CONFIG

          static final java.lang.String PREFIX_EMAIL_CONFIG

      See Also:
        Constant Field Values

    - #### PREFIX_EMAIL_TARGET

          static final java.lang.String PREFIX_EMAIL_TARGET

      See Also:
        Constant Field Values

    - #### PREFIX_EMAIL_ACCOUNT

          static final java.lang.String PREFIX_EMAIL_ACCOUNT

      See Also:
        Constant Field Values

    - #### PREFIX_CPU

          static final java.lang.String PREFIX_CPU

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the full key name i.e. 'esprit.server.uniqueServerName'.

    - #### getKey

          java.lang.String getKey()

      Returns the raw key without a prefix path like 'uniqueServerName'.

    - #### getMatchKey

          java.lang.String getMatchKey()

      Returns the replacement match key which is the original key surrounded by at signs like '@uniqueServerName@'

    - #### getMatchKey

          java.lang.String getMatchKey(int sequenceNum)

      Returns the match-key with the given number added like i.e. '@address1@', '@address2@'

Copyright © 2013 EsprIT-Systems. All Rights Reserved.